#!/usr/bin/env python3

import imageio
import numpy as np

# Relocating the image in the middle guaranteeing that it doesn't touch the borders
def rescale(img):
    fill_color = img[0][0]
    new_img = np.full((img.shape[0]+2, img.shape[1]+2, img.shape[2]), fill_color, dtype=np.uint8)
    for y in range(img.shape[0]):
        for x in range(img.shape[1]):
            new_img[y+1, x+1] = img[y, x]
    return new_img

# Replacing transparent pixels with white pixels
def read_img(fname):
    img = imageio.imread(fname)
    for y in range(img.shape[0]):
        for x in range(img.shape[1]):
            if len(img[y, x]) == 4 and img[y, x,3] == 0:
                img[y, x] = np.uint8([255, 255, 255, 255])
    return img